package com.persagy.apm.alarmservice.project.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.persagy.apm.common.model.entity.AuditableEntity;
import java.io.Serializable;
import java.util.Date;

/**
 * 报警条件(AlarmCondition)实体类
 * @author lixing
 * @version V1.0 2021-10-21 11:19:12
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(description = "报警条件")
public class AlarmCondition extends AuditableEntity<AlarmCondition> implements Serializable {
    private static final long serialVersionUID = -69196501972192443L;

    @ApiModelProperty("包含的参数")
    private Object infoCodes;
    
    @ApiModelProperty("前端展示")
    private Object frontend;
    
    @ApiModelProperty("后端使用")
    private Object backend;
    
    @ApiModelProperty("持续多久后触发")
    private Integer triggerUphold;
    
    @ApiModelProperty("报警等级")
    private String alarmLevel;
    
    @ApiModelProperty("持续多久后恢复")
    private Integer endUphold;
    

    public static String PROP_INFO_CODES = "info_codes";
    public static String PROP_FRONTEND = "frontend";
    public static String PROP_BACKEND = "backend";
    public static String PROP_TRIGGER_UPHOLD = "trigger_uphold";
    public static String PROP_ALARM_LEVEL = "alarm_level";
    public static String PROP_END_UPHOLD = "end_uphold";

}
